import 'package:flutter/material.dart';
import 'package:pmd_lab/domain/models/card.dart';

class DetailsPage extends StatelessWidget {
  final CardData data;

  const DetailsPage(this.data, {super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body:Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: const EdgeInsets.only(bottom: 16),
            child: Image.network(data.imgUrl ?? '',),
          ),
          Padding(
            padding: const EdgeInsets.only(bottom: 4),
            child: Text(
                data.text,
                style: Theme.of(context).textTheme.headlineLarge,
            ),
          ),
          Text(
              data.description,
              style: Theme.of(context).textTheme.bodyLarge,
          )
        ],
      )
    );
  }
}
